#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    stack<array<int, 4>> S;
    int n, a, b, g, k, x, y;
    scanf("%d", &n);
    while (n--)
    {
        scanf("%d%d%d%d", &a, &b, &g, &k);
        S.push({a, b, g, k});
    }
    scanf("%d%d", &x, &y);
    int ans = -1;
    while (!S.empty())
    {
        if (S.top()[0] <= x && x <= S.top()[0] + S.top()[2] && S.top()[1] <= y && y <= S.top()[1] + S.top()[3])
        {
            ans = S.size();
            break;
        }
        S.pop();
    }
    printf("%d", ans);
    return 0;
}
